Data Controllers - Patch Data Controller
Updates a dataController resource
PATCH https://management.azure.com/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/Microsoft.AzureArcData/dataControllers/{dataControllerName}?api-version=2026-01-01
URI Parameters
| Name | In | Required | Type | Description |
|---|---|---|---|---|
|
data
|
path | True |
string |
The name of the data controller |
|
resource
|
path | True |
string |
The name of the Azure resource group |
|
subscription
|
path | True |
string |
The ID of the Azure subscription |
|
api-version
|
query | True |
string |
The API version to use for the request |
Request Body
| Name | Type | Description |
|---|---|---|
| properties |
The data controller's properties |
|
| tags |
object |
Resource tags |
Responses
| Name | Type | Description |
|---|---|---|
| 200 OK |
OK |
|
| 202 Accepted |
Resource update is in progress. |
|
| Other Status Codes |
*** Error Responses: *** |
Examples
Updates a dataController tags.
Sample request
PATCH https://management.azure.com/subscriptions/00000000-1111-2222-3333-444444444444/resourceGroups/testrg/providers/Microsoft.AzureArcData/dataControllers/testdataController1?api-version=2026-01-01
{
"tags": {
"mytag": "myval"
}
}
Sample response
{
"properties": {
"onPremiseProperty": {
"id": "12345678-1234-1234-ab12-1a2b3c4d5e6f",
"publicSigningKey": "publicOnPremSigningKey",
"signingCertificateThumbprint": "Unique thumbprint returned to customer to verify the certificate they uploaded"
},
"basicLoginInformation": {
"username": "username"
},
"metricsDashboardCredential": {
"username": "username"
},
"logsDashboardCredential": {
"username": "username"
},
"logAnalyticsWorkspaceConfig": {
"workspaceId": "00000000-1111-2222-3333-444444444444"
},
"uploadServicePrincipal": {
"clientId": "00000000-1111-2222-3333-444444444444",
"tenantId": "00000000-1111-2222-3333-444444444444",
"authority": "https://login.microsoftonline.com/"
},
"uploadWatermark": {
"metrics": "2020-01-01T17:18:19.1234567Z",
"logs": "2020-01-01T17:18:19.1234567Z",
"usages": "2020-01-01T17:18:19.1234567Z"
},
"clusterId": "/subscriptions/00000000-1111-2222-3333-444444444444/resourceGroups/testrg/providers/Microsoft.Kubernetes/connectedClusters/connectedk8s",
"extensionId": "/subscriptions/00000000-1111-2222-3333-444444444444/resourceGroups/testrg/providers/Microsoft.Kubernetes/connectedClusters/connectedk8s/providers/Microsoft.KubernetesConfiguration/extensions/extension",
"infrastructure": "onpremises"
},
"extendedLocation": {
"type": "CustomLocation",
"name": "/subscriptions/00000000-1111-2222-3333-444444444444/resourceGroups/testrg/providers/Microsoft.ExtendedLocation/customLocations/arclocation"
},
"location": "northeurope",
"systemData": {
"createdBy": "user1",
"createdByType": "User",
"createdAt": "2020-01-01T17:18:19.1234567Z",
"lastModifiedBy": "user2",
"lastModifiedByType": "User",
"lastModifiedAt": "2020-01-02T17:18:19.1234567Z"
},
"tags": {
"mytag": "myval"
},
"id": "/subscriptions/00000000-1111-2222-3333-444444444444/resourceGroups/testrg/providers/Microsoft.AzureArcData/dataControllers/testdataController1",
"name": "testdataController1",
"type": "Microsoft.AzureArcData/dataControllers"
}
Location: https://management.azure.com/subscriptions/00000000-1111-2222-3333-444444444444/providers/Microsoft.AzureArcData/operationResults/id1
Definitions
| Name | Description |
|---|---|
|
Basic |
Username and password for basic login authentication. |
|
created |
The type of identity that created the resource. |
|
Data |
The data controller properties. |
|
Data |
Data controller resource |
|
Data |
Used for updating a data controller resource. |
|
Error |
The resource management error additional info. |
|
Error |
The error detail. |
|
Error |
Error response |
|
Extended |
The complex type of the extended location. |
|
Extended |
The type of the extended location. |
| infrastructure |
The infrastructure the data controller is running on. |
|
Log |
Log analytics workspace id and primary key |
|
On |
Properties from the Kubernetes data controller |
|
system |
Metadata pertaining to creation and last modification of the resource. |
|
Upload |
Service principal for uploading billing, metrics and logs. |
|
Upload |
Properties on upload watermark. Mostly timestamp for each upload data type |
BasicLoginInformation
Username and password for basic login authentication.
| Name | Type | Description |
|---|---|---|
| password |
string |
Login password. |
| username |
string |
Login username. |
createdByType
The type of identity that created the resource.
| Value | Description |
|---|---|
| User | |
| Application | |
| ManagedIdentity | |
| Key |
DataControllerProperties
The data controller properties.
| Name | Type | Default value | Description |
|---|---|---|---|
| basicLoginInformation |
Deprecated. Azure Arc Data Services data controller no longer expose any endpoint. All traffic are exposed through Kubernetes native API. |
||
| clusterId |
string |
If a CustomLocation is provided, this contains the ARM id of the connected cluster the custom location belongs to. |
|
| extensionId |
string |
If a CustomLocation is provided, this contains the ARM id of the extension the custom location belongs to. |
|
| infrastructure | other |
The infrastructure the data controller is running on. |
|
| k8sRaw |
object |
The raw kubernetes information |
|
| lastUploadedDate |
string (date-time) |
Last uploaded date from Kubernetes cluster. Defaults to current date time |
|
| logAnalyticsWorkspaceConfig |
Log analytics workspace id and primary key |
||
| logsDashboardCredential |
Login credential for logs dashboard on the Kubernetes cluster. |
||
| metricsDashboardCredential |
Login credential for metrics dashboard on the Kubernetes cluster. |
||
| onPremiseProperty |
Properties from the Kubernetes data controller |
||
| provisioningState |
string |
The provisioning state of the Arc Data Controller resource. |
|
| uploadServicePrincipal |
Deprecated. Service principal is deprecated in favor of Arc Kubernetes service extension managed identity. |
||
| uploadWatermark |
Properties on upload watermark. Mostly timestamp for each upload data type |
DataControllerResource
Data controller resource
| Name | Type | Description |
|---|---|---|
| extendedLocation |
The extendedLocation of the resource. |
|
| id |
string |
Fully qualified resource ID for the resource. Ex - /subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/{resourceProviderNamespace}/{resourceType}/{resourceName} |
| location |
string |
The geo-location where the resource lives |
| name |
string |
The name of the resource |
| properties |
The data controller's properties |
|
| systemData |
Azure Resource Manager metadata containing createdBy and modifiedBy information. |
|
| tags |
object |
Resource tags. |
| type |
string |
The type of the resource. E.g. "Microsoft.Compute/virtualMachines" or "Microsoft.Storage/storageAccounts" |
DataControllerUpdate
Used for updating a data controller resource.
| Name | Type | Description |
|---|---|---|
| properties |
The data controller's properties |
|
| tags |
object |
Resource tags |
ErrorAdditionalInfo
The resource management error additional info.
| Name | Type | Description |
|---|---|---|
| info |
object |
The additional info. |
| type |
string |
The additional info type. |
ErrorDetail
The error detail.
| Name | Type | Description |
|---|---|---|
| additionalInfo |
The error additional info. |
|
| code |
string |
The error code. |
| details |
The error details. |
|
| message |
string |
The error message. |
| target |
string |
The error target. |
ErrorResponse
Error response
| Name | Type | Description |
|---|---|---|
| error |
The error object. |
ExtendedLocation
The complex type of the extended location.
| Name | Type | Description |
|---|---|---|
| name |
string |
The name of the extended location. |
| type |
The type of the extended location. |
ExtendedLocationTypes
The type of the extended location.
| Value | Description |
|---|---|
| CustomLocation |
infrastructure
The infrastructure the data controller is running on.
| Value | Description |
|---|---|
| azure | |
| gcp | |
| aws | |
| alibaba | |
| onpremises | |
| other |
LogAnalyticsWorkspaceConfig
Log analytics workspace id and primary key
| Name | Type | Description |
|---|---|---|
| primaryKey |
string |
Primary key of the workspace |
| workspaceId |
string (uuid) |
Azure Log Analytics workspace ID |
OnPremiseProperty
Properties from the Kubernetes data controller
| Name | Type | Description |
|---|---|---|
| id |
string (uuid) |
A globally unique ID identifying the associated Kubernetes cluster |
| publicSigningKey |
string |
Certificate that contains the Kubernetes cluster public key used to verify signing |
| signingCertificateThumbprint |
string |
Unique thumbprint returned to customer to verify the certificate being uploaded |
systemData
Metadata pertaining to creation and last modification of the resource.
| Name | Type | Description |
|---|---|---|
| createdAt |
string (date-time) |
The timestamp of resource creation (UTC). |
| createdBy |
string |
The identity that created the resource. |
| createdByType |
The type of identity that created the resource. |
|
| lastModifiedAt |
string (date-time) |
The timestamp of resource last modification (UTC) |
| lastModifiedBy |
string |
The identity that last modified the resource. |
| lastModifiedByType |
The type of identity that last modified the resource. |
UploadServicePrincipal
Service principal for uploading billing, metrics and logs.
| Name | Type | Description |
|---|---|---|
| authority |
string |
Authority for the service principal. Example: |
| clientId |
string (uuid) |
Client ID of the service principal for uploading data. |
| clientSecret |
string |
Secret of the service principal |
| tenantId |
string (uuid) |
Tenant ID of the service principal. |
UploadWatermark
Properties on upload watermark. Mostly timestamp for each upload data type
| Name | Type | Description |
|---|---|---|
| logs |
string (date-time) |
Last uploaded date for logs from kubernetes cluster. Defaults to current date time |
| metrics |
string (date-time) |
Last uploaded date for metrics from kubernetes cluster. Defaults to current date time |
| usages |
string (date-time) |
Last uploaded date for usages from kubernetes cluster. Defaults to current date time |